Subject: Re: I have your birthday card still!
From: "Michael B" <[email-masked]>
To: "Fox, Laura" <[email-masked]>
Date: Tue, 25 Jul 2017 09:42:13 -0400

I will call you once I am on my way later on. 
Thank you,
Michael B
LLPS

From: Fox, Laura 
Sent: Tuesday, July 25, 2017 9:36 AM
To: 'Michael B' 
Subject: RE: I have your birthday card still!

Oh, you didn't have to get me anything but I appreciate it.  Yes if you want to come here today that is fine, just call me at my work number 364-6128 when you are here, thanks.

From: Michael B [mailto:[email-masked]] 
Sent: Tuesday, July 25, 2017 9:33 AM
To: Fox, Laura <[email-masked]>
Subject: I have your birthday card still!

Hi Laura.

I am so sorry but I just realized that I still have your Birthday card. I didn't want to mail it because it has a gift card in it and in case it got "lost" in the mail, I didn't want someone else to get it. I will be near your office later this morning and would like to drop it off. Would that be ok with you? Let me know.

Thank you,
Michael B
LLPS